import { ShellRunner } from '../shell-runner.js';
import { type PackageManager } from './package-manager.js';
export declare class AptGetPackageManager extends ShellRunner implements PackageManager {
    private onSudoRequested;
    private onSudoGranted;
    constructor();
    setOnSudoRequested(callback: (message: string) => void): void;
    setOnSudoGranted(callback: (message: string) => void): void;
    installPackages(dependencies: string[]): Promise<void>;
    uninstallPackages(dependencies: string[]): Promise<void>;
    update(): Promise<void>;
    upgrade(dependencies: string[]): Promise<void>;
    install(): Promise<boolean>;
    uninstall(): Promise<void>;
    isAvailable(): Promise<boolean>;
}
